#include <bits/stdc++.h>


using namespace std;

int kizar(long int n)
{

    int meddig=sqrt(n), jelenleg=0;

    for(long int i=1;i<=meddig;i++)
    {
        if(n%i==0 && n/i != i)
        {
            jelenleg=jelenleg^i;
            jelenleg=jelenleg^(n/i);
        }
        else if(n/i == i)
        {
            jelenleg=jelenleg^i;
        }
    }


    return jelenleg;
}

int main()
{


    int n, k, x;
    cin>>n>>k>>x;

    vector<int> a(n);

    for(int i=0;i<n;i++)
    {
        cin>>a.at(i);
    }

    for(int j=0;j<=n-k;j++)
    {
       int ossz=0, ad=1;
       for(int i=j;i<j+x;i++)
       {
           ossz+=a.at(i)*ad;
           ad++;
       }

       for(int i=j+x;i<j+k;i++)
       {
           ossz+=(ad-1)*a.at(i);
       }

       cout<<ossz<<" ";

    }


    return 0;
}